> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates multiple styles.

> Creates multiple styles in the system. All styles will be created within a single transaction - all succeed or all fail. Returns the created styles in the same format as the GET endpoint.



## OpenAPI

````yaml /openapi/external.enriched.json post /api/styles
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/styles:
    post:
      tags:
        - Styles
      summary: Creates multiple styles.
      description: >-
        Creates multiple styles in the system. All styles will be created within
        a single transaction - all succeed or all fail. Returns the created
        styles in the same format as the GET endpoint.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleCreateDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleCreateDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/StyleCreateDto'
        required: true
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleCreateResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleCreateResponseDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfStyleCreateResponseDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security:
        - {}
components:
  schemas:
    StyleCreateDto:
      type: object
      properties:
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        state:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleStateDto'
        description:
          type:
            - 'null'
            - string
        logo:
          type:
            - 'null'
            - string
        extraText:
          type:
            - 'null'
            - string
        season:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SeasonStyleCreateDto'
        group:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleGroupCreateDto'
        brand:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BrandStyleCreateDto'
        supplier:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SupplierCreateDto'
        categories:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CategoryCreateDto'
        styleColors:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/ColorStyleCreateDto'
        customFields:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldRequestDto'
        properties:
          type:
            - 'null'
            - array
          items:
            type: string
      additionalProperties: false
    ApiResponseOfListOfStyleCreateResponseDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/StyleCreateResponseDto'
      additionalProperties: false
    ApiBulkErrorResponse:
      required:
        - status
        - code
        - error
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/BulkErrorDetail'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleStateDto: {}
    SeasonStyleCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        project:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleGroupCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    BrandStyleCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
      additionalProperties: false
    SupplierCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
      additionalProperties: false
    CategoryCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    ColorStyleCreateDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId1:
          type:
            - 'null'
            - string
        customId2:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldRequestDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId1:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldRequestValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldRequestValueDto'
        perColorValues:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldPerColorValueRequestDto'
      additionalProperties: false
    ApiResponseStatus: {}
    StyleCreateResponseDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleStateDto'
        description:
          type:
            - 'null'
            - string
        logo:
          type:
            - 'null'
            - string
        extraText:
          type:
            - 'null'
            - string
        lastUpdated:
          type: string
          format: date-time
        season:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SeasonStyleDto'
        group:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleGroupDto'
        brand:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/BrandStyleDto'
        supplier:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SupplierDto'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/CategoryDto'
        styleColors:
          type: array
          items:
            $ref: '#/components/schemas/StyleColorCreateResponseDto'
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldResponseDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    BulkErrorDetail:
      required:
        - operation
        - total_items
        - failed_items
        - summary
        - details
      type: object
      properties:
        operation:
          type: string
        total_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        failed_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        summary:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    CustomFieldRequestValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldPerColorValueRequestDto:
      type: object
      properties:
        styleColorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldRequestValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldRequestValueDto'
      additionalProperties: false
    SeasonStyleDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        project:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleGroupDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    BrandStyleDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
      additionalProperties: false
    SupplierDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        contactPersonId:
          type:
            - 'null'
            - string
        contactPersonName:
          type:
            - 'null'
            - string
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryDto'
        contactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonDto'
      additionalProperties: false
    CategoryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false
    StyleColorCreateResponseDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type:
            - 'null'
            - string
        customId1:
          type:
            - 'null'
            - string
        customId2:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/StyleColorState'
      additionalProperties: false
    CustomFieldResponseDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId1:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
        perColorValues:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldPerColorValueDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    CountryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    ContactPersonDto:
      type: object
      properties:
        name:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        status:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonStatusDto'
      additionalProperties: false
    StyleColorState: {}
    CustomFieldValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    CustomFieldPerColorValueDto:
      type: object
      properties:
        styleColorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomFieldValueDto'
        values:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/CustomFieldValueDto'
      additionalProperties: false
    ContactPersonStatusDto: {}

````